/*
 * This Kotlin source file was generated by the Gradle 'init' task.
 */
package Scrapper.kotlin

import kotlin.test.Test
import kotlin.test.assertNotNull
import kotlin.test.assertEquals
import com.functions.Scrapper
import java.io.File

class AppTest {
    var default_site = "https://novelfull.com/lord-of-the-mysteries.html"

    // @Test fun appHasAGreeting() {
    //     val classUnderTest = App()
    //     assertNotNull(classUnderTest.greeting, "app should have a greeting")
    // }

    @Test fun appGetTitle() {
        val classUnderTest = Scrapper(default_site)
        assertEquals("Lord of the Mysteries", classUnderTest.getTitle(), "Wrong title")
    }

    @Test fun appGetDescription() {
        val expected_description = "In the waves of steam and machinery, who could achieve extraordinary? In the fogs of history and darkness, who was whispering? I woke up from the realm of mysteries and opened my eyes to the world. Firearms, cannons, battleships, airships, and difference machines. Potions, divination, curses, hanged-man, and sealed artifacts… The lights shone brightly, yet the secrets of the world were never far away. This was a legend of the “fool”."
        
        val classUnderTest = Scrapper(default_site)
        assertEquals(expected_description, classUnderTest.getDescription(), "Wrong description")
    }

    @Test fun appGetContent(){
        var content_test = File("src/test/resources/content.txt")

        var classUnderTest = Scrapper(default_site)
        var contentUnderTest = classUnderTest.CopyChapterContent("https://novelfull.com/lord-of-the-mysteries/chapter-51-the-grounded-ritualistic-magic.html")

        assertEquals(content_test.readText(), contentUnderTest, "Wrong content")
    }
}
